Gearman Server and Client Libraries

Cannot compile 0.20

Reported by Jaesung Lee on 2011-04-13
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Gearman
Medium
Brian Aker

Bug Description

checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking for style of include used by make... GNU
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking dependency style of gcc... gcc3
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for isainfo... no
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking whether gcc and cc understand -c and -o together... yes
checking how to print strings... printf
checking for a sed that does not truncate output... /bin/sed
checking for fgrep... /bin/grep -F
checking for ld used by gcc... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 98304
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... no
checking for /usr/bin/ld option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... pass_all
checking for ar... ar
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for dlfcn.h... yes
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -fPIC -DPIC
checking if gcc PIC flag -fPIC -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/bin/ld) supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
checking dynamic linker characteristics... GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking how to run the C++ preprocessor... g++ -E
checking for ld used by g++... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking for g++ option to produce PIC... -fPIC -DPIC
checking if g++ PIC flag -fPIC -DPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking if g++ supports -c -o file.o... (cached) yes
checking whether the g++ linker (/usr/bin/ld) supports shared libraries... yes
checking dynamic linker characteristics... (cached) GNU/Linux ld.so
checking how to hardcode library paths into programs... immediate
checking if g++ supports C++0x features without additional flags... no
checking if g++ supports C++0x features with -std=c++0x... no
checking if g++ supports C++0x features with -std=gnu++0x... no
checking for simple visibility declarations... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... yes
checking how to create a ustar tar archive... gnutar
checking whether __SUNPRO_C is declared... no
checking whether __ICC is declared... no
checking for ISO C++ 98 include files... yes
checking the location of cstdint...
configure: WARNING: Could not find a cstdint header.
checking the location of cinttypes...
configure: WARNING: Could not find a cinttypes header.
checking "C Compiler version--yes"... "gcc (GCC) 3.4.6 20060404 (Red Hat 3.4.6-8)"
checking "C++ Compiler version"... "g++ (GCC) 3.4.6 20060404 (Red Hat 3.4.6-8)"
checking whether byte ordering is bigendian... no
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking for working volatile... yes
checking for C/C++ restrict keyword... __restrict
checking whether time.h and sys/time.h may both be included... yes
checking whether struct tm is in sys/time.h or time.h... time.h
checking for size_t... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... 64
checking for library containing clock_gettime... -lrt
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking size of off_t... 8
checking size of size_t... 4
checking size of long long... 8
checking if time_t is unsigned... no
checking if system defines RUSAGE_THREAD... no
checking for cos in -lm... yes
checking for setsockopt... yes
checking for bind... yes
checking whether madvise is declared... no
checking whether the compiler provides atomic builtins... no
checking assert.h usability... yes
checking assert.h presence... yes
checking for assert.h... yes
checking whether to enable assertions... yes
checking whether it is safe to use -fdiagnostics-show-option... no
checking whether it is safe to use -floop-parallelize-all... no
checking whether it is safe to use -Wextra... yes
checking whether it is safe to use -Wformat... yes
checking whether it is safe to use -Wconversion... no
checking whether it is safe to use -Wmissing-declarations from C++... no
checking whether it is safe to use -Wframe-larger-than... no
checking whether it is safe to use -Wlogical-op... no
checking whether it is safe to use -Wredundant-decls from C++... yes
checking whether it is safe to use -Wattributes from C++... no
checking whether it is safe to use -Wno-attributes... no
checking for doxygen... doxygen
checking for perl... perl
checking for dpkg-gensymbols... no
checking for lcov... no
checking for genhtml... no
checking for sphinx-build... no
checking for working -pipe... yes
checking for Boost headers version >= 1.37.0... yes
checking for Boost's header version... 1_46_1
checking for the toolset name used by Boost for g++... gcc34 -gcc
checking boost/program_options.hpp usability... yes
checking boost/program_options.hpp presence... yes
checking for boost/program_options.hpp... yes
checking for the Boost program_options library... yes
checking for the pthreads library -lpthreads... no
checking whether pthreads work without any flags... yes
checking for joinable pthread attribute... PTHREAD_CREATE_JOINABLE
checking if more special flags are required for pthreads... no
checking for pthread_yield_np... no
checking if pthread_yield takes zero arguments... yes
checking if pthread_yield takes one argument... no
checking for pthread_attr_getstacksize... yes
checking for pthread_attr_setprio... no
checking for pthread_attr_setschedparam... yes
checking for pthread_attr_setstacksize... yes
checking for pthread_condattr_create... no
checking for pthread_getsequence_np... no
checking for pthread_key_delete... yes
checking for pthread_rwlock_rdlock... yes
checking for pthread_setprio... no
checking for pthread_setprio_np... no
checking for pthread_setschedparam... yes
checking for pthread_sigmask... yes
checking for pthread_attr_create... no
checking for rwlock_init... no
checking args to pthread_getspecific... POSIX
checking args to pthread_mutex_init... POSIX
checking args to readdir_r... POSIX
checking style of sigwait... POSIX
checking for pthread_attr_setscope... yes
checking if pthread_yield takes zero arguments... yes
checking if pthread_yield takes 1 argument... no
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for shared library run path origin... done
checking for libevent... yes
checking how to link with libevent... /usr/local/lib/libevent.so -lrt -Wl,-rpath -Wl,/usr/local/lib
checking for event_base_new... yes
checking for event_base_free... yes
checking for event_base_get_method... yes
checking uuid/uuid.h usability... yes
checking uuid/uuid.h presence... yes
checking for uuid/uuid.h... yes
checking for libuuid... yes
checking how to link with libuuid... -luuid
checking for libsqlite3... yes
checking how to link with libsqlite3... -lsqlite3
checking for libdrizzle... no
checking if libmemcached has memcached_server_fn... no
checking if libmemcached is recent enough... no
checking for memcached... no
checking libpq-fe.h usability... no
checking libpq-fe.h presence... no
checking for libpq-fe.h... no
checking for libpq... no
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for libtokyocabinet... no
checking for LIBTOKYOCABINET... Package libtokyocabinet was not found in the pkg-config search path.
Perhaps you should add the directory containing `libtokyocabinet.pc'
to the PKG_CONFIG_PATH environment variable
No package 'libtokyocabinet' found
no
checking whether strerror_r is declared... yes
checking for strerror_r... yes
checking whether strerror_r returns char *... yes
checking for MSG_NOSIGNAL... yes
checking for MSG_DONTWAIT... yes
checking whether we are using the GNU C++ compiler... (cached) yes
checking whether g++ accepts -g... (cached) yes
checking dependency style of g++... (cached) gcc3
checking for gawk... (cached) gawk
checking how to run the C preprocessor... gcc -E
checking whether ln -s works... yes
checking whether make sets $(MAKE)... (cached) yes
checking for ranlib... (cached) ranlib
checking for ANSI C header files... (cached) yes
checking for sys/wait.h that is POSIX.1 compatible... yes
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking for inttypes.h... (cached) yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking stddef.h usability... yes
checking stddef.h presence... yes
checking for stddef.h... yes
checking for stdint.h... (cached) yes
checking for stdlib.h... (cached) yes
checking for string.h... (cached) yes
checking for strings.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for unistd.h... (cached) yes
checking netinet/tcp.h usability... yes
checking netinet/tcp.h presence... yes
checking for netinet/tcp.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking pwd.h usability... yes
checking pwd.h presence... yes
checking for pwd.h... yes
checking signal.h usability... yes
checking signal.h presence... yes
checking for signal.h... yes
checking stdarg.h usability... yes
checking stdarg.h presence... yes
checking for stdarg.h... yes
checking for stddef.h... (cached) yes
checking stdio.h usability... yes
checking stdio.h presence... yes
checking for stdio.h... yes
checking sys/resource.h usability... yes
checking sys/resource.h presence... yes
checking for sys/resource.h... yes
checking for sys/stat.h... (cached) yes
checking for sys/socket.h... (cached) yes
checking for sys/types.h... (cached) yes
checking sys/utsname.h usability... yes
checking sys/utsname.h presence... yes
checking for sys/utsname.h... yes
checking for strings.h... (cached) yes
checking for stdbool.h that conforms to C99... yes
checking for _Bool... yes
checking for an ANSI C-conforming const... (cached) yes
checking for inline... (cached) inline
checking for int32_t... yes
checking for pid_t... yes
checking for size_t... (cached) yes
checking for ssize_t... yes
checking whether time.h and sys/time.h may both be included... (cached) yes
checking for uid_t in sys/types.h... yes
checking for uint16_t... yes
checking for uint32_t... yes
checking for uint64_t... yes
checking for uint8_t... yes
checking for working volatile... (cached) yes
checking for ptrdiff_t... yes
checking for error_at_line... yes
checking for working alloca.h... yes
checking for alloca... yes
checking for mbstate_t... yes
checking for working POSIX fnmatch... yes
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... (cached) yes
checking for working memcmp... yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible realloc... (cached) yes
checking return type of signal handlers... void
checking whether strerror_r is declared... (cached) yes
checking for strerror_r... (cached) yes
checking whether strerror_r returns char *... (cached) yes
checking for vprintf... yes
checking for _doprnt... no
checking for dup2... yes
checking for gettimeofday... yes
checking for memchr... yes
checking for memmove... yes
checking for memset... yes
checking for socket... yes
checking for strcasecmp... yes
checking for strdup... yes
checking for strerror... yes
checking for strncasecmp... yes
checking for uname... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating libgearman/configure.h
config.status: creating scripts/gearmand
config.status: creating scripts/gearmand-init
config.status: creating scripts/gearmand.xml
config.status: creating scripts/smf_install.sh
config.status: creating support/gearmand.pc
config.status: creating support/gearmand.spec
config.status: creating config.h
config.status: config.h is unchanged
config.status: executing depfiles commands
config.status: executing libtool commands
---
Configuration summary for gearmand version 0.20

   * Installation prefix: /usr/local
   * System type: pc-linux-gnu
   * Host CPU: i686
   * C Compiler: gcc (GCC) 3.4.6 20060404 (Red Hat 3.4.6-8)
   * Assertions enabled: yes
   * Debug enabled: no
   * Warnings as failure: no
   * Building with libsqlite3 yes
   * Building with libdrizzle no
   * Building with libmemcached no
   * Building with libpq no
   * Building with tokyocabinet no

---
[<email address hidden>:/home1/irteam/repo/gearmand-0.20] make
make all-am
make[1]: Entering directory `/home1/irteam/repo/gearmand-0.20'
  CXX libgearman/libgearman_libgearman_la-client.lo
libgearman/client.cc:55: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/libgearman_libgearman_la-function.lo
libgearman/function.cc:45: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/libgearman_libgearman_la-gearman.lo
libgearman/gearman.cc:71: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/libgearman_libgearman_la-job.lo
libgearman/job.cc:67: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/libgearman_libgearman_la-status.lo
  CXX libgearman/libgearman_libgearman_la-strerror.lo
  CXX libgearman/libgearman_libgearman_la-task.lo
libgearman/task.cc:54: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/libgearman_libgearman_la-unique.lo
  CXX libgearman/libgearman_libgearman_la-worker.lo
libgearman/worker.cc:158: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/libgearman_libgearman_la-workload.lo
  CXX libgearman/byteorder.lo
  CXX libgearman/connection.lo
libgearman/connection.cc:70: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/log.lo
libgearman/log.cc:18: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/packet.lo
libgearman/packet.cc:97: warning: ignoring #pragma GCC diagnostic
  CXX libgearman/universal.lo
libgearman/universal.cc:211: warning: ignoring #pragma GCC diagnostic
  CXXLD libgearman/libgearmancore.la
  CXXLD libgearman/libgearman.la
  CC benchmark/benchmark.lo
  CCLD benchmark/libbenchmark.la
  CXX libtest/server.lo
libtest/server.cc:32: warning: ignoring #pragma GCC diagnostic
  CXX libtest/worker.lo
libtest/worker.cc:22: warning: ignoring #pragma GCC diagnostic
  CXXLD libtest/libserver.la
  CXX bin/arguments.o
  CXX bin/function.o
  CXX bin/gearman.o
  CXX util/error.o
  CXXLD bin/gearman
  CXXLD bin/gearadmin
bin/bin_gearadmin-gearadmin.o(.text+0x26): In function `main':
/usr/lib/gcc/i386-redhat-linux/3.4.6/../../../../include/c++/3.4.6/ext/new_allocator.h:62: undefined reference to `boost::program_options::options_description::m_default_line_length'
bin/bin_gearadmin-gearadmin.o(.text+0x39):/usr/lib/gcc/i386-redhat-linux/3.4.6/../../../../include/c++/3.4.6/ext/new_allocator.h:62: undefined reference to `boost::program_options::options_description::options_description(std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&, unsigned int, unsigned int)'
bin/bin_gearadmin-gearadmin.o(.gnu.linkonce.t._ZN5boost15program_options25basic_command_line_parserIcE7optionsERKNS0_19options_descriptionE+0x11): In function `boost::program_options::basic_command_line_parser<char>::options(boost::program_options::options_description const&)':
/usr/local/include/boost/program_options/detail/parsers.hpp:51: undefined reference to `boost::program_options::detail::cmdline::set_options_description(boost::program_options::options_description const&)'
bin/bin_gearadmin-gearadmin.o(.gnu.linkonce.t._ZN5boost15program_options25basic_command_line_parserIcE5styleEi+0xf): In function `boost::program_options::basic_command_line_parser<char>::style(int)':
/usr/local/include/boost/program_options/detail/parsers.hpp:69: undefined reference to `boost::program_options::detail::cmdline::style(int)'
bin/bin_gearadmin-gearadmin.o(.gnu.linkonce.t._ZN5boost15program_options25basic_command_line_parserIcE12extra_parserENS_9function1ISt4pairISsSsERKSsEE+0x40): In function `boost::program_options::basic_command_line_parser<char>::extra_parser(boost::function1<std::pair<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&>)':
/usr/local/include/boost/function/function_template.hpp:678: undefined reference to `boost::program_options::detail::cmdline::set_additional_parser(boost::function1<std::pair<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::basic_string<char, std::char_traits<char>, std::allocator<char> > >, std::basic_string<char, std::char_traits<char>, std::allocator<char> > const&>)'
bin/bin_gearadmin-gearadmin.o(.gnu.linkonce.t._ZN5boost15program_options25basic_command_line_parserIcEC1EiPKPKc+0x40): In function `boost::program_options::basic_command_line_parser<char>::basic_command_line_parser(int, char const* const*)':
/usr/local/include/boost/program_options/detail/parsers.hpp:44: undefined reference to `boost::program_options::detail::cmdline::cmdline(std::vector<std::basic_string<char, std::char_traits<char>, std::allocator<char> >, std::allocator<std::basic_string<char, std::char_traits<char>, std::allocator<char> > > > const&)'
bin/bin_gearadmin-gearadmin.o(.gnu.linkonce.t._ZN5boost15program_options25basic_command_line_parserIcE3runEv+0x30): In function `boost::program_options::basic_command_line_parser<char>::run()':
/usr/local/include/boost/program_options/detail/parsers.hpp:104: undefined reference to `boost::program_options::detail::cmdline::run()'
collect2: ld returned 1 exit status
make[1]: *** [bin/gearadmin] 오류 1
make[1]: Leaving directory `/home1/irteam/repo/gearmand-0.20'
make: *** [all] 오류 2

Download full text (43.7 KiB)

Hi!

What distribution is this?

Cheers,
 -Brian

On Apr 12, 2011, at 7:08 PM, Jaesung Lee wrote:

> Public bug reported:
>
> checking build system type... i686-pc-linux-gnu
> checking host system type... i686-pc-linux-gnu
> checking target system type... i686-pc-linux-gnu
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking for style of include used by make... GNU
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... gcc3
> checking how to run the C preprocessor... gcc -E
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking minix/config.h usability... no
> checking minix/config.h presence... no
> checking for minix/config.h... no
> checking whether it is safe to define __EXTENSIONS__... yes
> checking for isainfo... no
> checking for g++... g++
> checking whether we are using the GNU C++ compiler... yes
> checking whether g++ accepts -g... yes
> checking dependency style of g++... gcc3
> checking whether gcc and cc understand -c and -o together... yes
> checking how to print strings... printf
> checking for a sed that does not truncate output... /bin/sed
> checking for fgrep... /bin/grep -F
> checking for ld used by gcc... /usr/bin/ld
> checking if the linker (/usr/bin/ld) is GNU ld... yes
> checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
> checking the name lister (/usr/bin/nm -B) interface... BSD nm
> checking whether ln -s works... yes
> checking the maximum length of command line arguments... 98304
> checking whether the shell understands some XSI constructs... yes
> checking whether the shell understands "+="... no
> checking for /usr/bin/ld option to reload object files... -r
> checking for objdump... objdump
> checking how to recognize dependent libraries... pass_all
> checking for ar... ar
> checking for strip... strip
> checking for ranlib... ranlib
> checking command to parse /usr/bin/nm -B output from gcc object... ok
> checking for dlfcn.h... yes
> checking for objdir... .libs
> checking if gcc supports -fno-rtti -fno-exceptions... no
> checking for gcc option to produce PIC... -fPIC -DPIC
> checking if gcc PIC flag -fPIC -DPIC works... yes
> checking if gcc static flag -static works... yes
> checking if gcc supports -c -o file.o.....

Jaesung Lee (ljsking) wrote :

[<email address hidden>:/home1/irteam/repo/gearmand-0.17/examples] cat /etc/redhat-release
CentOS release 4.5 (Final)
[<email address hidden>:/home1/irteam/repo/gearmand-0.17/examples] uname -a
Linux tmove01-1.nm 2.6.9-78.0.13.ELsmp #1 SMP Wed Jan 14 16:12:46 EST 2009 i686 i686 i386 GNU/Linux

I can compile and test 0.17.

Brian Aker (brianaker) wrote :

Can you try to pull from lp:gearmand and see if this is fixed?

Thanks

Sammie S. Taunton (diemuzi) wrote :
Download full text (4.7 KiB)

I'm running into compile issues too with 0.20

My configure is simple:

./configure \
    --prefix=/usr/local/gearman

Configure appears to be OK and nothing out of the ordinary. When "make" is run is when I run into compile issues. I'm currently using the latest Archlinux 32 & 64 bit versions with all up2date packages.

Here is the Error during Make:

make all-am
make[1]: Entering directory `/usr/local/packages/gearman/src/gearmand-0.20'
  CXX libgearman/libgearman_libgearman_la-client.lo
  CXX libgearman/libgearman_libgearman_la-function.lo
  CXX libgearman/libgearman_libgearman_la-gearman.lo
  CXX libgearman/libgearman_libgearman_la-job.lo
  CXX libgearman/libgearman_libgearman_la-status.lo
  CXX libgearman/libgearman_libgearman_la-strerror.lo
  CXX libgearman/libgearman_libgearman_la-task.lo
  CXX libgearman/libgearman_libgearman_la-unique.lo
  CXX libgearman/libgearman_libgearman_la-worker.lo
  CXX libgearman/libgearman_libgearman_la-workload.lo
  CXX libgearman/byteorder.lo
  CXX libgearman/connection.lo
  CXX libgearman/log.lo
  CXX libgearman/packet.lo
  CXX libgearman/universal.lo
  CXXLD libgearman/libgearmancore.la
  CXXLD libgearman/libgearman.la
  CC benchmark/benchmark.lo
  CCLD benchmark/libbenchmark.la
  CXX libgearman-server/error/strerror.lo
  CXX libgearman-server/plugins/protocol/http/protocol.lo
  CXX libgearman-server/plugins/queue/postgres/queue.lo
  CXX libgearman-server/plugins/queue/sqlite/queue.lo
  CXX libgearman-server/byteorder.lo
  CXX libgearman-server/client.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-connection.lo
  CXX libgearman-server/connection_list.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-fifo.lo
  CXX libgearman-server/function.lo
  CXX libgearman-server/gearmand.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-gearmand_con.lo
  CXX libgearman-server/gearmand_thread.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-hash.lo
  CXX libgearman-server/io.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-job.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-list.lo
  CXX libgearman-server/log.lo
  CXX libgearman-server/packet.lo
  CXX libgearman-server/plugins.lo
  CXX libgearman-server/queue.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-server.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-thread.lo
  CXX libgearman-server/wakeup.lo
  CXX libgearman-server/worker.lo
  CXXLD libgearman-server/libgearman-server.la
copying selected object files to avoid basename conflicts...
  CXX libtest/server.lo
  CXX libtest/worker.lo
  CXXLD libtest/libserver.la
  CXX libtest/test.lo
  CXXLD libtest/libtest.la
  CXX bin/arguments.o
  CXX bin/function.o
  CXX bin/gearman.o
  CXX util/error.o
  CXX util/pidfile.o
  CXXLD bin/gearman
  CXX bin/bin_gearadmin-gearadmin.o
  CXX util/bin_gearadmin-instance.o
  CXXLD bin/gearadmin
  CC benchmark/blobslap_client.o
  CCLD benchmark/blobslap_client
  CC benchmark/b...

Read more...

What version of gcc is this?

On Apr 21, 2011, at 12:06 PM, Sammie S. Taunton wrote:

> gearman_strerror

Sammie S. Taunton (diemuzi) wrote :

[root@pacman64 ~]$ gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/4.5.2/lto-wrapper
Target: x86_64-unknown-linux-gnu
Configured with: /build/src/gcc-4.5-20110127/configure --prefix=/usr --enable-languages=c,c++,fortran,objc,obj-c++,ada --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-gnu-unique-object --enable-lto --enable-plugin --enable-gold --with-plugin-ld=ld.gold --disable-multilib --disable-libstdcxx-pch --with-system-zlib --with-ppl --with-cloog --with-cloog-include=/usr/include/cloog-ppl --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info
Thread model: posix
gcc version 4.5.2 20110127 (prerelease) (GCC)

On a side note I re-downloaded 0.18 as that is what I was using previously and it compiled without errors using the same specs as 0.20. I did check to make sure I was using the latest 0.20 version posted for download.

Brian Aker (brianaker) wrote :
Download full text (23.3 KiB)

Hi!

It looks like you have an issue with GCC and boost. It might work if you disable the warnings to error code.

Cheers,
 -Brian

On Apr 22, 2011, at 7:52 AM, Sammie S. Taunton wrote:

> [root@pacman64 ~]$ gcc -v
> Using built-in specs.
> COLLECT_GCC=gcc
> COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/4.5.2/lto-wrapper
> Target: x86_64-unknown-linux-gnu
> Configured with: /build/src/gcc-4.5-20110127/configure --prefix=/usr --enable-languages=c,c++,fortran,objc,obj-c++,ada --enable-shared --enable-threads=posix --enable-__cxa_atexit --enable-clocale=gnu --enable-gnu-unique-object --enable-lto --enable-plugin --enable-gold --with-plugin-ld=ld.gold --disable-multilib --disable-libstdcxx-pch --with-system-zlib --with-ppl --with-cloog --with-cloog-include=/usr/include/cloog-ppl --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info
> Thread model: posix
> gcc version 4.5.2 20110127 (prerelease) (GCC)
>
> On a side note I re-downloaded 0.18 as that is what I was using
> previously and it compiled without errors using the same specs as 0.20.
> I did check to make sure I was using the latest 0.20 version posted for
> download.
>
> --
> You received this bug notification because you are subscribed to
> Gearman.
> https://bugs.launchpad.net/bugs/759357
>
> Title:
> Cannot compile 0.20
>
> Status in Gearman Server and Client Libraries:
> New
>
> Bug description:
> checking build system type... i686-pc-linux-gnu
> checking host system type... i686-pc-linux-gnu
> checking target system type... i686-pc-linux-gnu
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking for style of include used by make... GNU
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... gcc3
> checking how to run the C preprocessor... gcc -E
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking minix/config.h usability... no
> checking minix/config.h presence... no
> checking for minix/config.h... no
> checking whether it is safe to define __EXTENSIONS__... yes
> checking for isainfo... no
> checking for g++... g++
> checking whether we are using the GNU C++ compiler... yes
> checking whether g++ accepts -g... yes
>...

Sammie S. Taunton (diemuzi) wrote :

Decided to try upgrading GCC to the newest version and the same problems exist. But at the same time version 0.18 is still compiling just fine without issues. Simply because I do not understand your last comment, can you explain how/what you mean by disable the warnings to error code? Once I understand I'll give it a try.

[root@pacman64 ~]$ gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/4.6.0/lto-wrapper
Target: x86_64-unknown-linux-gnu
Configured with: /build/src/gcc-4.6-20110415/configure --prefix=/usr --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/ --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared --enable-threads=posix --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-clocale=gnu --enable-gnu-unique-object --enable-linker-build-id --with-ppl --enable-cloog-backend=isl --enable-lto --enable-gold --enable-ld=default --enable-plugin --with-plugin-ld=ld.gold --disable-multilib --disable-libstdcxx-pch --enable-checking=release
Thread model: posix
gcc version 4.6.0 20110415 (prerelease) (GCC)

Brian Aker (brianaker) wrote :
Download full text (23.6 KiB)

By default all code is compiled in Gearman such that any warning will cause the compile to exit (most of the time people just let the warning be issued, and keep on going).

This looks to be more of a linking issue though. Can you pull lp:gearmand/build and see if it works for you?

On Apr 22, 2011, at 11:29 AM, Sammie S. Taunton wrote:

> Decided to try upgrading GCC to the newest version and the same problems
> exist. But at the same time version 0.18 is still compiling just fine
> without issues. Simply because I do not understand your last comment,
> can you explain how/what you mean by disable the warnings to error code?
> Once I understand I'll give it a try.
>
> [root@pacman64 ~]$ gcc -v
> Using built-in specs.
> COLLECT_GCC=gcc
> COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/4.6.0/lto-wrapper
> Target: x86_64-unknown-linux-gnu
> Configured with: /build/src/gcc-4.6-20110415/configure --prefix=/usr --libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man --infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/ --enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared --enable-threads=posix --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-clocale=gnu --enable-gnu-unique-object --enable-linker-build-id --with-ppl --enable-cloog-backend=isl --enable-lto --enable-gold --enable-ld=default --enable-plugin --with-plugin-ld=ld.gold --disable-multilib --disable-libstdcxx-pch --enable-checking=release
> Thread model: posix
> gcc version 4.6.0 20110415 (prerelease) (GCC)
>
> --
> You received this bug notification because you are subscribed to
> Gearman.
> https://bugs.launchpad.net/bugs/759357
>
> Title:
> Cannot compile 0.20
>
> Status in Gearman Server and Client Libraries:
> New
>
> Bug description:
> checking build system type... i686-pc-linux-gnu
> checking host system type... i686-pc-linux-gnu
> checking target system type... i686-pc-linux-gnu
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking for style of include used by make... GNU
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... gcc3
> checking how to run the C preprocessor... gcc -E
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h......

Sammie S. Taunton (diemuzi) wrote :

Sorry the delay in getting back to you. I downloaded the build as of today and tested it out and here is what I am receiving now

make all-am
make[1]: Entering directory `/usr/local/packages/gearman/src/gearmand-build'
  CXX libgearman/actions.lo
  CXX libgearman/add.lo
  CXX libgearman/byteorder.lo
  CXX libgearman/client.lo
  CXX libgearman/connection.lo
  CXX libgearman/function.lo
  CXX libgearman/gearman.lo
  CXX libgearman/job.lo
  CXX libgearman/log.lo
  CXX libgearman/packet.lo
  CXX libgearman/strcommand.lo
  CXX libgearman/strerror.lo
  CXX libgearman/string.lo
  CXX libgearman/task.lo
  CXX libgearman/unique.lo
  CXX libgearman/universal.lo
  CXX libgearman/worker.lo
  CXX libgearman/workload.lo
  CXXLD libgearman/libgearman.la
  CC benchmark/benchmark.lo
  CCLD benchmark/libbenchmark.la
  CXX libgearman-server/error/libgearman_server_libgearman_server_la-strerror.lo
  CXX libgearman-server/plugins/protocol/http/libgearman_server_libgearman_server_la-protocol.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-byteorder.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-client.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-connection.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-connection_list.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-fifo.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-function.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-gearmand.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-gearmand_con.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-gearmand_thread.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-hash.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-io.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-job.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-list.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-log.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-packet.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-plugins.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-queue.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-server.lo
  CC libgearman-server/libgearman_server_libgearman_server_la-thread.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-wakeup.lo
  CXX libgearman-server/libgearman_server_libgearman_server_la-worker.lo
  CXXLD libgearman-server/libgearman-server.la
  CXXLD libgearman/libgearmancore.la
  CXX libtest/server.lo
libtest/server.cc: In function 'void test_gearmand_stop(pid_t)':
libtest/server.cc:200:9: error: variable 'pid' set but not used [-Werror=unused-but-set-variable]
cc1plus: all warnings being treated as errors

make[1]: *** [libtest/server.lo] Error 1
make[1]: Leaving directory `/usr/local/packages/gearman/src/gearmand-build'
make: *** [all] Error 2

Brian Aker (brianaker) wrote :
Download full text (25.3 KiB)

So you downloaded lp:drizzle/build?

On Apr 28, 2011, at 7:27 AM, Sammie S. Taunton wrote:

> Sorry the delay in getting back to you. I downloaded the build as of
> today and tested it out and here is what I am receiving now
>
> make all-am
> make[1]: Entering directory `/usr/local/packages/gearman/src/gearmand-build'
> CXX libgearman/actions.lo
> CXX libgearman/add.lo
> CXX libgearman/byteorder.lo
> CXX libgearman/client.lo
> CXX libgearman/connection.lo
> CXX libgearman/function.lo
> CXX libgearman/gearman.lo
> CXX libgearman/job.lo
> CXX libgearman/log.lo
> CXX libgearman/packet.lo
> CXX libgearman/strcommand.lo
> CXX libgearman/strerror.lo
> CXX libgearman/string.lo
> CXX libgearman/task.lo
> CXX libgearman/unique.lo
> CXX libgearman/universal.lo
> CXX libgearman/worker.lo
> CXX libgearman/workload.lo
> CXXLD libgearman/libgearman.la
> CC benchmark/benchmark.lo
> CCLD benchmark/libbenchmark.la
> CXX libgearman-server/error/libgearman_server_libgearman_server_la-strerror.lo
> CXX libgearman-server/plugins/protocol/http/libgearman_server_libgearman_server_la-protocol.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-byteorder.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-client.lo
> CC libgearman-server/libgearman_server_libgearman_server_la-connection.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-connection_list.lo
> CC libgearman-server/libgearman_server_libgearman_server_la-fifo.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-function.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-gearmand.lo
> CC libgearman-server/libgearman_server_libgearman_server_la-gearmand_con.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-gearmand_thread.lo
> CC libgearman-server/libgearman_server_libgearman_server_la-hash.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-io.lo
> CC libgearman-server/libgearman_server_libgearman_server_la-job.lo
> CC libgearman-server/libgearman_server_libgearman_server_la-list.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-log.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-packet.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-plugins.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-queue.lo
> CC libgearman-server/libgearman_server_libgearman_server_la-server.lo
> CC libgearman-server/libgearman_server_libgearman_server_la-thread.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-wakeup.lo
> CXX libgearman-server/libgearman_server_libgearman_server_la-worker.lo
> CXXLD libgearman-server/libgearman-server.la
> CXXLD libgearman/libgearmancore.la
> CXX libtest/server.lo
> libtest/server.cc: In function 'void test_gearmand_stop(pid_t)':
> libtest/server.cc:200:9: error: variable 'pid' set but not used [-Werror=unused-but-set-variable]
> cc1plus: all warnings being treated as errors
>
> make[1]: *** [libtest/server.lo] Error 1
> mak...

Sammie S. Taunton (diemuzi) wrote :

No, I got lp:gearmand/build as you requested. Should I try this new link you presented?

Brian Aker (brianaker) wrote :
Download full text (22.3 KiB)

Hi!

As of yesterday what is in lp:gearmand has worked for most folks, so I would give it a shot.

Cheers,
 -Brian

On Apr 28, 2011, at 2:20 PM, Sammie S. Taunton wrote:

> No, I got lp:gearmand/build as you requested. Should I try this new link
> you presented?
>
> --
> You received this bug notification because you are subscribed to
> Gearman.
> https://bugs.launchpad.net/bugs/759357
>
> Title:
> Cannot compile 0.20
>
> Status in Gearman Server and Client Libraries:
> New
>
> Bug description:
> checking build system type... i686-pc-linux-gnu
> checking host system type... i686-pc-linux-gnu
> checking target system type... i686-pc-linux-gnu
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking for style of include used by make... GNU
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... gcc3
> checking how to run the C preprocessor... gcc -E
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking minix/config.h usability... no
> checking minix/config.h presence... no
> checking for minix/config.h... no
> checking whether it is safe to define __EXTENSIONS__... yes
> checking for isainfo... no
> checking for g++... g++
> checking whether we are using the GNU C++ compiler... yes
> checking whether g++ accepts -g... yes
> checking dependency style of g++... gcc3
> checking whether gcc and cc understand -c and -o together... yes
> checking how to print strings... printf
> checking for a sed that does not truncate output... /bin/sed
> checking for fgrep... /bin/grep -F
> checking for ld used by gcc... /usr/bin/ld
> checking if the linker (/usr/bin/ld) is GNU ld... yes
> checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
> checking the name lister (/usr/bin/nm -B) interface... BSD nm
> checking whether ln -s works... yes
> checking the maximum length of command line arguments... 98304
> checking whether the shell understands some XSI constructs... yes
> checking whether the shell understands "+="... no
> checking for /usr/bin/ld option to reload object files... -r
> checking for objdump... objdump
> checking how to recognize dependent libraries... pass_all
> checking for ar... ar
> checking for...

Sammie S. Taunton (diemuzi) wrote :

Downloaded the lp:gearmand and received the exact same errors.

libtest/server.cc: In function 'void test_gearmand_stop(pid_t)':
libtest/server.cc:200:9: error: variable 'pid' set but not used [-Werror=unused-but-set-variable]
cc1plus: all warnings being treated as errors

make[1]: *** [libtest/server.lo] Error 1
make[1]: Leaving directory `/usr/local/packages/gearman/src/gearmand-0.20'
make: *** [all] Error 2

It seems as if some sort of new signal was introduced that is killing this from continuing. I decided to try the 0.19 branch and it compiled without problems. Previously I was testing with 0.18 as it was the latest version I knew that was working. So something between 0.19 and 0.20 changed near the end of the "make" section.

Wish I could be more helpful in determining what is actually causing this issue.

Brian Aker (brianaker) on 2011-06-06
Changed in gearmand:
assignee: nobody → Brian Aker (brianaker)
importance: Undecided → Medium
status: New → In Progress
Brian Aker (brianaker) on 2011-06-06
Changed in gearmand:
status: In Progress → Fix Committed
Brian Aker (brianaker) on 2011-06-16
Changed in gearmand:
status: Fix Committed → Fix Released
Sammie S. Taunton (diemuzi) wrote :

Confirmed fixed in 0.21, Thank you =)

Brian Aker (brianaker) wrote :
Download full text (22.3 KiB)

Thanks!

On Jun 16, 2011, at 10:46 AM, Sammie S. Taunton wrote:

> Confirmed fixed in 0.21, Thank you =)
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/759357
>
> Title:
> Cannot compile 0.20
>
> Status in Gearman Server and Client Libraries:
> Fix Released
>
> Bug description:
> checking build system type... i686-pc-linux-gnu
> checking host system type... i686-pc-linux-gnu
> checking target system type... i686-pc-linux-gnu
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking for style of include used by make... GNU
> checking for gcc... gcc
> checking whether the C compiler works... yes
> checking for C compiler default output file name... a.out
> checking for suffix of executables...
> checking whether we are cross compiling... no
> checking for suffix of object files... o
> checking whether we are using the GNU C compiler... yes
> checking whether gcc accepts -g... yes
> checking for gcc option to accept ISO C89... none needed
> checking dependency style of gcc... gcc3
> checking how to run the C preprocessor... gcc -E
> checking for grep that handles long lines and -e... /bin/grep
> checking for egrep... /bin/grep -E
> checking for ANSI C header files... yes
> checking for sys/types.h... yes
> checking for sys/stat.h... yes
> checking for stdlib.h... yes
> checking for string.h... yes
> checking for memory.h... yes
> checking for strings.h... yes
> checking for inttypes.h... yes
> checking for stdint.h... yes
> checking for unistd.h... yes
> checking minix/config.h usability... no
> checking minix/config.h presence... no
> checking for minix/config.h... no
> checking whether it is safe to define __EXTENSIONS__... yes
> checking for isainfo... no
> checking for g++... g++
> checking whether we are using the GNU C++ compiler... yes
> checking whether g++ accepts -g... yes
> checking dependency style of g++... gcc3
> checking whether gcc and cc understand -c and -o together... yes
> checking how to print strings... printf
> checking for a sed that does not truncate output... /bin/sed
> checking for fgrep... /bin/grep -F
> checking for ld used by gcc... /usr/bin/ld
> checking if the linker (/usr/bin/ld) is GNU ld... yes
> checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
> checking the name lister (/usr/bin/nm -B) interface... BSD nm
> checking whether ln -s works... yes
> checking the maximum length of command line arguments... 98304
> checking whether the shell understands some XSI constructs... yes
> checking whether the shell understands "+="... no
> checking for /usr/bin/ld option to reload object files... -r
> checking for objdump... objdump
> checking how to recognize dependent libraries... pass_all
> checking for ar... ar
> checking for strip... strip
> checking for ranlib... ranlib
> checking command to parse /usr/bin/nm -B output from gcc object... ok
> checking for dlfcn.h... yes
> c...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers